For the complete documentation index, see llms.txt. This page is also available as Markdown.

Key

Show certificate key

get

Retrieve content of certificate key.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
crtstringOptional

Content of this certificate file for TLS or WSS transport protocol. The certificate file MUST be PEM-encoded with X.509.

keystringOptional

Content of this private certificate file for TLS or WSS transport protocol.

get/key
GET /api/key HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "crt": "text",
  "key": "text"
}

Update certificate key

post

Update certificate key.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
crtstringRequired

Content of this certificate file for TLS or WSS transport protocol. The certificate file MUST be PEM-encoded with X.509.

keystringRequired

Content of this private certificate file for TLS or WSS transport protocol.

Responses
204

No Content

No content

post/key
POST /api/key HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "crt": "text",
  "key": "text"
}

No content

Was this helpful?